<template>
  <section class="capture-texte columns">
    <span v-if="id" :id="id" class="ancre"></span>
    <article class="column is-7">
      <slot name="img">
        <img v-if="src" class="screen-shot" :src="src" width="500" :alt="src" />
        <template v-if="srcs">
          <template v-for="(srci, index) in srcs">
            <img v-if="srci" :key="index" class="screen-shot" :src="srci" width="500" :alt="srci" />
          </template>
        </template>
      </slot>
    </article>
    <article class="column is-5">
      <slot></slot>
    </article>
  </section>
</template>

<script>
export default {
  name: 'MtAideBlockMessage',
  props: {
    id: {
      type: String,
      default: '',
    },
    src: {
      type: String,
      default: '',
    },
    srcs: {
      type: Array,
      default: () => [],
    },
  },
};
</script>

<style scoped lang="scss">
.capture-texte {
  position: relative;
}
.ancre {
  position: absolute;
  top: -4rem;
}
</style>
